Subject: bug#22244: 25.0.50; Make eww use display-buffer to display eww buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 02 Feb 2016 15:55:29 +1100

Michael Heerdegen <[email-masked]> writes:

> But this issue is not as easy as it seemed.  The whole code must be
> reworked to work with multiple eww buffers.  E.g.
>
> (defun eww-browse-url (url &optional new-window)
>   (cond (new-window
> 	 (switch-to-buffer (generate-new-buffer "*eww*"))
>          (eww-mode)))
>   (eww url))
>
> creates a new buffer when new-window is non-nil, but eww calls
> eww-setup-buffer, which unconditionally goes back to a hardcoded "*eww*"
> named buffer again.

Yeah, that doesn't work very well.  I've now fiddled with it a bit more,
and new-window now does what it's supposed to do.

> I don't know the code well and would prefer if you could had a look.  I
> dunno in which direction we want to go (tabs, some day, maybe?).

Hm...  I don't quite see it.  Switching between buffers now is so...
standard.  Would tabs be something other than buffers?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no